package ufrn.imd.service.impl;

import lombok.extern.java.Log;
import ufrn.imd.domain.Account;
import ufrn.imd.service.BalanceService;

import java.rmi.RemoteException;
import java.util.Optional;

@Log
public class BalanceServiceImpl implements BalanceService {


    @Override
    public void balance(Optional<Account> accOP) throws RemoteException {
        Account account = accOP.orElseThrow(() -> new RuntimeException("Invalid account"));
        log.info(String.format("Account Balance: R$ %f", account.getBalance()));

    }
}
